Subject: [rbridge] Must/Should flooding optimization

From: Eric.Gray at marconi.com (Gray, Eric)
Date: Thu, 23 Mar 2006 12:05:52 -0500

Dino,

	Please see below...

.. [SNIP] ..
--> 
-->     o IGMP reports which need to be forwarded through the 
-->       rBridge network are encapsualted in a new special MAC 
-->       group address when encapsulation occurs so core 
-->       rBridges can forward such packets on router ports. If
-->       this is not done and the inner group address is used 
-->       as the outer group address, then data packets to the 
-->       group and IGMP reports to the group would have to go 
-->       everywhere. We want data packets to go to receivers 
-->       only and IGMP reports to go to routers only (and 
-->       [nowhere] else).
--> 
-->     Comments?

As a clarification question, I am not sure whether this relates
to VLAN support or multicast support.  Can you please clarify 
the following points?

Point 1:
In the event that it relates exclusively to multicast support,
how is the RBridge case different from the 802.1D bridge case -
with respect to this issue?

Point 2:
If your concern relates to VLANs in combination with multicast,
how is this a problem if VLAN pruning necessarily occurs when
frames egress from the RBridge campus?

It has been a question from the very beginning of this effort 
as to whether or not there would be discrete Ingress RBridge
Trees per-VLAN (which corresponds to pruning VLAN traffic at
each RBridge), but there has never been a question about doing
this "VLAN pruning" at egress from the RBridge campus.

Also, we do not include routers and hosts as part of a RBridge
campus.  Frames forwarded to routers and hosts MUST egress the
RBridge campus first.

--> 
--> Dino
--> 
-->     
-->     
--> _______________________________________________
--> rbridge mailing list
--> rbridge at postel.org
--> http://www.postel.org/mailman/listinfo/rbridge
-->

---

From: dino at cisco.com (Dino Farinacci)
Date: Thu, 23 Mar 2006 14:07:43 -0800

>> to VLAN support or multicast support.  Can you please clarify 

    Multicast support which is scoped within a VLAN.

>> with respect to this issue?

    The rBridge case doesn't process reports for building an oif-list the
    same way as a an 802.1D bridge. That is the later, uses the interface
    the report is received on and the former uses the path to the originating
    edge rBridge.

>> frames egress from the RBridge campus?

    I really don't understand the question but let me respond by saying
    the pruning for a multicast group is always a subset of the pruning
    for a VLAN toplogy.

    The concern is that data packets and IGMP reports are send to the
    same MAC address. So packets need to go to different places then the 
    IGMP reports go.

>> this "VLAN pruning" at egress from the RBridge campus.

    Well the set of routers on one VLAN can be different (and therefore
    at different topological locations) than another one, so you have
    to have separate state to deal with each VLAN.

>> campus.  Frames forwarded to routers and hosts MUST egress the

    Right, how is this relevant?

Dino